GNU bug report logs - #41010
Rename & upgrade oil-shell

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Ryan Prior <rprior@HIDDEN>; dated Fri, 1 May 2020 20:23:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 41010 <at> debbugs.gnu.org:


Received: (at 41010) by debbugs.gnu.org; 16 May 2020 11:20:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 16 07:20:09 2020
Received: from localhost ([127.0.0.1]:39911 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZurQ-0007vh-T9
	for submit <at> debbugs.gnu.org; Sat, 16 May 2020 07:20:09 -0400
Received: from tobias.gr ([80.241.217.52]:38298)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1jZurN-0007vU-Vl
 for 41010 <at> debbugs.gnu.org; Sat, 16 May 2020 07:20:07 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 09d95d43;
 Sat, 16 May 2020 11:20:06 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:references:in-reply-to:message-id:date:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=zPPens3vp3L96IKzjGhmjy
 EIA67Ies/MsMZ+QcQhMmo=; b=DW8wTjzuF+3aTfGdPnzR5KUwxFXQzIc+qAU8hL
 rdM6l4k81zJLTgP2ODfZBQpvt5pgKGNI7y8VggNVRR6ds0g6LwzIjLT3wGDOtKyt
 kQnM8NblPtyxgPJIpWwfoEh7hIA+NTkK/LoSmj90+jqGrOaQgoK/0sG1C8CbkX4L
 htTTyHQWTBW21C1gdLWXqWLZcbDwwMX6QttShvfCjee25lL5ANDsN5J6aVY0N7Iq
 MO5GTujkCGEAc+QJZOh/E2BtzMtCPX/1KvB+ZEzXoylPT+3KcBuhM3WVO6piYfL8
 t/HYh/Nbz4uni1OY1xQ/oB1MsiP+AgqxvTCfjiM55R471ISg==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 0c9e6b14
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Sat, 16 May 2020 11:20:04 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Ryan Prior <rprior@HIDDEN>
Subject: Re: [bug#41010] Upgrade Oil to 0.8.pre4
References: <k3WMYYEx_MdUokPGxBg54cpM2QMuACaeKoRbRaxGox-XI3TW-PQx-WWVOY1H6gmv8oHs93NZ6VgMhQ-OkNZna-xcsSTB00xIICsrl1sX5Og=@protonmail.com>
 <h2J1HZL5TX-LD7iEonk5V7VW9SayB4-irRVMFeJgPnZUtokvrqPKg_5kyLqybb8UrlaW10p1-UOsek5Z8yV_qoZIPyOI4PBDQIZEFPH6--g=@protonmail.com>
 <87sggjfdef.fsf@nckx>
 <7j_T0Kf3tHwi7uYPSXZUYLjdVXe_LWrzbgE6XY7mdt-HZsxZQhTuCs8-H4kISkUui_q7IL1BrSnkCIksY62JtGWP-_gXsDC3MBnfusZzcOA=@protonmail.com>
In-reply-to: <7j_T0Kf3tHwi7uYPSXZUYLjdVXe_LWrzbgE6XY7mdt-HZsxZQhTuCs8-H4kISkUui_q7IL1BrSnkCIksY62JtGWP-_gXsDC3MBnfusZzcOA=@protonmail.com>
Message-ID: <87v9kwnn32.fsf@nckx>
Date: Sat, 16 May 2020 13:20:01 +0200
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41010
Cc: "41010 <at> debbugs.gnu.org" <41010 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Ryan Prior =E5=86=99=E9=81=93=EF=BC=9A
> [2. text/x-patch; 0001-gnu-oil-Update-to-0.8.pre4.patch]...

Unfortunately I still can't apply this onto upstream/master:

  Applying: gnu: oil: Update to 0.8.pre4
  error: sha1 information is lacking or useless
  (gnu/packages/shells.scm).
  error: could not build fake ancestor
  Patch failed at 0001 gnu: oil: Update to 0.8.pre4

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXr/MYQAKCRANsP+IT1Vt
ea50AQDvccKSsnKezzYrLmgCquj7pwH4tx1VFRDIc2DtMR6VpgD+KKhgw1KWanZs
bESOSRVohvpPRI+VVk38Id9a+S3WEws=
=x3fp
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#41010; Package guix-patches. Full text available.

Message received at 41010 <at> debbugs.gnu.org:


Received: (at 41010) by debbugs.gnu.org; 15 May 2020 18:31:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 15 14:31:09 2020
Received: from localhost ([127.0.0.1]:38713 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZf6y-0005Z6-Ps
	for submit <at> debbugs.gnu.org; Fri, 15 May 2020 14:31:09 -0400
Received: from tobias.gr ([80.241.217.52]:45744)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1jZf6w-0005Ys-Gu
 for 41010 <at> debbugs.gnu.org; Fri, 15 May 2020 14:31:07 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id b65d8836;
 Fri, 15 May 2020 18:31:05 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=I/1T9H1zT9cl5YPq96d2OV
 vuKpTfGmazkdszRm4E2pQ=; b=CQZ+bmhJGag7BzrKzvTxy6DqJsTXOFGUlbToHJ
 ArlCqKgVGJNiCop6gdtE+TL23oqPc3MC/A6pE1dOXz/5VSQs4sskfbEYlN0IqczY
 slUT1H24y/ab8MGRHoOCUzyCvH2l5+bjsIeeRzY6f70oTFXxTXtcicXAH3Bm9CVH
 GVbMW8npRdLvIVMhKDyAdTRVL4/ITTZcXpsiYDdKepZoDFg3/3419ENQ86ZAycZL
 M4KdBRPZQys3Dpdh81onpgZrFG1G81SZ4Nq5Np2YeUzwlKwB4KK4hpohVPtviLpQ
 mRS3VKhvySJRBu7zVJxbhufjiTiZu9dPk4RX9Yp82g1FuwTA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id a4a7db5f
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Fri, 15 May 2020 18:31:05 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Ryan Prior <rprior@HIDDEN>
Subject: Re: [bug#41010] Upgrade Oil to 0.8.pre4
References: <k3WMYYEx_MdUokPGxBg54cpM2QMuACaeKoRbRaxGox-XI3TW-PQx-WWVOY1H6gmv8oHs93NZ6VgMhQ-OkNZna-xcsSTB00xIICsrl1sX5Og=@protonmail.com>
 <h2J1HZL5TX-LD7iEonk5V7VW9SayB4-irRVMFeJgPnZUtokvrqPKg_5kyLqybb8UrlaW10p1-UOsek5Z8yV_qoZIPyOI4PBDQIZEFPH6--g=@protonmail.com>
 <87sggjfdef.fsf@nckx>
 <7j_T0Kf3tHwi7uYPSXZUYLjdVXe_LWrzbgE6XY7mdt-HZsxZQhTuCs8-H4kISkUui_q7IL1BrSnkCIksY62JtGWP-_gXsDC3MBnfusZzcOA=@protonmail.com>
In-reply-to: <7j_T0Kf3tHwi7uYPSXZUYLjdVXe_LWrzbgE6XY7mdt-HZsxZQhTuCs8-H4kISkUui_q7IL1BrSnkCIksY62JtGWP-_gXsDC3MBnfusZzcOA=@protonmail.com>
Date: Fri, 15 May 2020 20:31:01 +0200
Message-ID: <878shtjbiy.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41010
Cc: "41010 <at> debbugs.gnu.org" <41010 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Ryan,

Ryan Prior =E5=86=99=E9=81=93=EF=BC=9A
> Tobias, thank you for the quick and thorough review!

I've made up for that now \o/

> I've attached updated patches.

Thanks.  I promise I'll respond to the rest of your mail later=20
to(euro-)night.

My ~/guix is a dusty mess from the previous weeks and your=20
=E2=80=98Update=E2=80=99 patch doesn't apply yet.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXr7f5QAKCRANsP+IT1Vt
eX5RAQCh2w50kz8Y3K76Qio9+DJLRJYPUqHV9JBOohTb4mAJyAEAys4rZDqsIo31
SZNS/gx548+5QwMT8IlikQAFkF3qEA8=
=gczt
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#41010; Package guix-patches. Full text available.

Message received at 41010 <at> debbugs.gnu.org:


Received: (at 41010) by debbugs.gnu.org; 15 May 2020 17:10:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 15 13:10:50 2020
Received: from localhost ([127.0.0.1]:38653 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZdrG-0007Zm-1c
	for submit <at> debbugs.gnu.org; Fri, 15 May 2020 13:10:50 -0400
Received: from mail-40134.protonmail.ch ([185.70.40.134]:59526)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rprior@HIDDEN>) id 1jZdrF-0007Za-1Y
 for 41010 <at> debbugs.gnu.org; Fri, 15 May 2020 13:10:49 -0400
Date: Fri, 15 May 2020 17:10:37 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1589562642;
 bh=7e52cT9+9pHXFJwFRFfvWtUA6JVozs0RXPxtlRPVtbw=;
 h=Date:To:From:Reply-To:Subject:In-Reply-To:References:From;
 b=wkM0r2gNlda1Eqvvj/Betb9coL1KZjXJlObTCiEPYIG1ZQryxceGsx4GM4nPhT02q
 q/77Hij3nkcSGSt9EIo7h5XEosM1V9u234/JU+SqsYpqlKbrGhRnxOSsNm4GN1+lCT
 8YjuPATaLRBLHnmvJLsc6ityFcmj10PZNaFSPXQ8=
To: "41010 <at> debbugs.gnu.org" <41010 <at> debbugs.gnu.org>
From: Ryan Prior <rprior@HIDDEN>
Subject: Re: [bug#41010] Upgrade Oil to 0.8.pre4
Message-ID: <87sgg16s51.fsf@HIDDEN>
In-Reply-To: <7j_T0Kf3tHwi7uYPSXZUYLjdVXe_LWrzbgE6XY7mdt-HZsxZQhTuCs8-H4kISkUui_q7IL1BrSnkCIksY62JtGWP-_gXsDC3MBnfusZzcOA=@protonmail.com>
References: <k3WMYYEx_MdUokPGxBg54cpM2QMuACaeKoRbRaxGox-XI3TW-PQx-WWVOY1H6gmv8oHs93NZ6VgMhQ-OkNZna-xcsSTB00xIICsrl1sX5Og=@protonmail.com>
 <h2J1HZL5TX-LD7iEonk5V7VW9SayB4-irRVMFeJgPnZUtokvrqPKg_5kyLqybb8UrlaW10p1-UOsek5Z8yV_qoZIPyOI4PBDQIZEFPH6--g=@protonmail.com>
 <87sggjfdef.fsf@nckx>
 <7j_T0Kf3tHwi7uYPSXZUYLjdVXe_LWrzbgE6XY7mdt-HZsxZQhTuCs8-H4kISkUui_q7IL1BrSnkCIksY62JtGWP-_gXsDC3MBnfusZzcOA=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41010
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Ryan Prior <rprior@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


Ryan Prior <rprior@HIDDEN> writes:

> Tobias, thank you for the quick and thorough review! I've attached update=
d patches.

Any thoughts on this updated patch would be welcome if there are still
issues to be address before merging!

Thanks,
Ryan





Information forwarded to guix-patches@HIDDEN:
bug#41010; Package guix-patches. Full text available.

Message received at 41010 <at> debbugs.gnu.org:


Received: (at 41010) by debbugs.gnu.org; 2 May 2020 19:16:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 02 15:16:31 2020
Received: from localhost ([127.0.0.1]:53953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jUxcl-0001eY-0V
	for submit <at> debbugs.gnu.org; Sat, 02 May 2020 15:16:31 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:42541)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1jUxcj-0001e4-Fs
 for 41010 <at> debbugs.gnu.org; Sat, 02 May 2020 15:16:29 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 6C3AA5C0223;
 Sat,  2 May 2020 15:16:24 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Sat, 02 May 2020 15:16:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=m/wM+G2nNMO4LBhzy4YiNp/A
 Fj2XCRNFVUf6LmeqyJ4=; b=HEhsqwiPKwmrX8o1rngAkD9X0vFzqSV9i+M3TL/q
 MuH+AWfINmjxq19l6krMGCxV6uLfVAcIh9l7bI+Mbz+HJo0tWnzLW1dtr0NijFY6
 DlhdMNshje53uTSi+ijZxltQZG7H/frLut0NA8czkcjR+E7HPOL2ziR4GQztuAmi
 qTI=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=m/wM+G
 2nNMO4LBhzy4YiNp/AFj2XCRNFVUf6LmeqyJ4=; b=mQ/gsVgAi0stXY4qO5xHUT
 P6J8mUWgikObEu4CLTaojX4yOdgRWm2LqcLaP2OqA0pkFRkAmVfvjiQmtwvci2sy
 bW+U6h4C0vgY8A/vd8lnukEZYRBFy5PRjAeD7u6wdsmUBUgUxwlIwK+dJieFXXlZ
 xtzoB68Q3hENPnaZxR/k36E3Tr249otROxqBrNziW3CQfvNbC65izMWYITJ6cZ7q
 sN3EzS35riterFDvZDp6gvXUbvTdgC30NdTMIswaVpFrz4+F4+91QU9JUAV2iGB4
 hxt7hTkwJ1eY9iHLFy/pWAriG37hYwd3p98862Q93/3nBXn4jimJZVqz9A17alyA
 ==
X-ME-Sender: <xms:B8etXrOXY9KvDYgkTMNjdSOKoNsZ38kXpgzPYlbl0_yPzf-lCZHulA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduhedrieelgddufeduucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepfffhvffukfhfgggtuggjsehgtderredttdejnecuhfhrohhmpefnvghoucfh
 rghmuhhlrghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeenucggtffrrghtth
 gvrhhnpeeigffhfeeftdffkeevkedttdeikeefffeltdfgveekkeetueeftdefhfeghfek
 feenucfkphepjeeirdduvdegrddufeekrdeifeenucevlhhushhtvghrufhiiigvpedtne
 curfgrrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:B8etXh5_45oxWGUlP_P-xh-NzGKMBTYzhJVTgCgMwK_1fJEdNNBWkQ>
 <xmx:B8etXtUwSygJ9Eis1_Hsmr1UqlnKLks6ygN6VdMk6ubUJPAwjx2tZw>
 <xmx:B8etXrHYDqCRdjf-dFgFye6dPPFloc9NVJDz54CBUN7bkG-CgFxRQQ>
 <xmx:CMetXsQnAa7OSzu10CqodXLTSu46ZzU7gGVPSl0eKR_Ug52bKJwKzg>
Received: from localhost (c-76-124-138-63.hsd1.pa.comcast.net [76.124.138.63])
 by mail.messagingengine.com (Postfix) with ESMTPA id 9B8C5328005A;
 Sat,  2 May 2020 15:16:23 -0400 (EDT)
Date: Sat, 2 May 2020 15:16:22 -0400
From: Leo Famulari <leo@HIDDEN>
To: Tobias Geerinckx-Rice via Guix-patches via <guix-patches@HIDDEN>
Subject: Re: [bug#41010] Upgrade Oil to 0.8.pre4
Message-ID: <20200502191622.GB22384@HIDDEN>
References: <k3WMYYEx_MdUokPGxBg54cpM2QMuACaeKoRbRaxGox-XI3TW-PQx-WWVOY1H6gmv8oHs93NZ6VgMhQ-OkNZna-xcsSTB00xIICsrl1sX5Og=@protonmail.com>
 <h2J1HZL5TX-LD7iEonk5V7VW9SayB4-irRVMFeJgPnZUtokvrqPKg_5kyLqybb8UrlaW10p1-UOsek5Z8yV_qoZIPyOI4PBDQIZEFPH6--g=@protonmail.com>
 <87sggjfdef.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="J2SCkAp4GZ/dPZZf"
Content-Disposition: inline
In-Reply-To: <87sggjfdef.fsf@nckx>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41010
Cc: rprior@HIDDEN, 41010 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--J2SCkAp4GZ/dPZZf
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sat, May 02, 2020 at 01:23:30AM +0200, Tobias Geerinckx-Rice via Guix-pa=
tches via wrote:
> I agree with the name change, although I'm unaware of why =E2=80=98oil-sh=
ell=E2=80=99 was
> originally chosen.

No serious reason. I thought it was close the upstream name (it's the
GitHub organization name) and that 'oil' was a bit short for something
so obscure. Feel free to change it to 'oil' though.

--J2SCkAp4GZ/dPZZf
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAl6txwIACgkQJkb6MLrK
fwhVkQ//TVfi2tSsdqDokrm37vREH9dlHwXQuKA4OSApQM9kp4bIEoyVAIYV8Vs6
+Aiif8L/p0LKlkJb9Yx90BLVxE2TgRGSsUI+hJUIF6ODNWe9eAynQ353pQqO2Vx9
M45boKO/7Z9Nt7VP7uX4hPi8AUv79grJjpbhF5STPY6XTSF1GvmVGCEIZbjTNRHY
a7ryxNK5V5v+UBvQE6m42qICPVs9c0GvO3v872LeX6Z5SVK7TNnSkzG7+vLtgHT6
AqebR7/Id2lJLRVObIMIJfOBS/hxrlaT2EZUDW6CXFmSqkzesVHsoWuMiF0R1w6r
+OOMMNublHLSfW44imm7RaOv3edU0fBQqI2iLeeO5M01SAFPhu82LmpjHOTxh/dr
Y6jCrJZjs8ZscQvvibOszwFePLgASv1vQJgj/aoc+JeCH+3ifn+IPAZlsp+02PHt
HUgoLKFRolI3tFmZKSynY7Q6LsCP8adr2ZL24e6G+MmKq8KMFs5vloOuWg3yDdU/
Mpg6mBGjX3EbMyc6fjEs5lUMal7T0b/+Xemn0X1IPJbQOX33ohp899tCSD5xJoLj
cb884RBBgkIIf/iZ4rNO16wl+qmxZZ/hNQdnk1PShkxBqyW1pXWP24USOqENpvVV
9+XIX9MBr8hF7aOSkXv6fSWdlX4noyi93y/9ecM9z9LQgPX3qPc=
=3Vb9
-----END PGP SIGNATURE-----

--J2SCkAp4GZ/dPZZf--




Information forwarded to guix-patches@HIDDEN:
bug#41010; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 May 2020 19:16:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 02 15:16:29 2020
Received: from localhost ([127.0.0.1]:53949 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jUxci-0001eH-Oc
	for submit <at> debbugs.gnu.org; Sat, 02 May 2020 15:16:28 -0400
Received: from lists.gnu.org ([209.51.188.17]:33038)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1jUxch-0001eA-8M
 for submit <at> debbugs.gnu.org; Sat, 02 May 2020 15:16:27 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40008)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo@HIDDEN>) id 1jUxcg-0004MS-O0
 for guix-patches@HIDDEN; Sat, 02 May 2020 15:16:27 -0400
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.8 required=5.0 tests=BAYES_00,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,RCVD_IN_DNSWL_LOW,SPF_HELO_PASS,
 SPF_PASS,URIBL_BLOCKED autolearn=unavailable autolearn_force=no
 version=3.4.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.90_1)
 (envelope-from <leo@HIDDEN>) id 1jUxcf-0005U2-Jz
 for guix-patches@HIDDEN; Sat, 02 May 2020 15:16:26 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:34385)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo@HIDDEN>) id 1jUxcf-0005Tk-2s
 for guix-patches@HIDDEN; Sat, 02 May 2020 15:16:25 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 6C3AA5C0223;
 Sat,  2 May 2020 15:16:24 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Sat, 02 May 2020 15:16:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=m/wM+G2nNMO4LBhzy4YiNp/A
 Fj2XCRNFVUf6LmeqyJ4=; b=HEhsqwiPKwmrX8o1rngAkD9X0vFzqSV9i+M3TL/q
 MuH+AWfINmjxq19l6krMGCxV6uLfVAcIh9l7bI+Mbz+HJo0tWnzLW1dtr0NijFY6
 DlhdMNshje53uTSi+ijZxltQZG7H/frLut0NA8czkcjR+E7HPOL2ziR4GQztuAmi
 qTI=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=m/wM+G
 2nNMO4LBhzy4YiNp/AFj2XCRNFVUf6LmeqyJ4=; b=mQ/gsVgAi0stXY4qO5xHUT
 P6J8mUWgikObEu4CLTaojX4yOdgRWm2LqcLaP2OqA0pkFRkAmVfvjiQmtwvci2sy
 bW+U6h4C0vgY8A/vd8lnukEZYRBFy5PRjAeD7u6wdsmUBUgUxwlIwK+dJieFXXlZ
 xtzoB68Q3hENPnaZxR/k36E3Tr249otROxqBrNziW3CQfvNbC65izMWYITJ6cZ7q
 sN3EzS35riterFDvZDp6gvXUbvTdgC30NdTMIswaVpFrz4+F4+91QU9JUAV2iGB4
 hxt7hTkwJ1eY9iHLFy/pWAriG37hYwd3p98862Q93/3nBXn4jimJZVqz9A17alyA
 ==
X-ME-Sender: <xms:B8etXrOXY9KvDYgkTMNjdSOKoNsZ38kXpgzPYlbl0_yPzf-lCZHulA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduhedrieelgddufeduucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepfffhvffukfhfgggtuggjsehgtderredttdejnecuhfhrohhmpefnvghoucfh
 rghmuhhlrghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeenucggtffrrghtth
 gvrhhnpeeigffhfeeftdffkeevkedttdeikeefffeltdfgveekkeetueeftdefhfeghfek
 feenucfkphepjeeirdduvdegrddufeekrdeifeenucevlhhushhtvghrufhiiigvpedtne
 curfgrrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:B8etXh5_45oxWGUlP_P-xh-NzGKMBTYzhJVTgCgMwK_1fJEdNNBWkQ>
 <xmx:B8etXtUwSygJ9Eis1_Hsmr1UqlnKLks6ygN6VdMk6ubUJPAwjx2tZw>
 <xmx:B8etXrHYDqCRdjf-dFgFye6dPPFloc9NVJDz54CBUN7bkG-CgFxRQQ>
 <xmx:CMetXsQnAa7OSzu10CqodXLTSu46ZzU7gGVPSl0eKR_Ug52bKJwKzg>
Received: from localhost (c-76-124-138-63.hsd1.pa.comcast.net [76.124.138.63])
 by mail.messagingengine.com (Postfix) with ESMTPA id 9B8C5328005A;
 Sat,  2 May 2020 15:16:23 -0400 (EDT)
Date: Sat, 2 May 2020 15:16:22 -0400
From: Leo Famulari <leo@HIDDEN>
To: Tobias Geerinckx-Rice via Guix-patches via <guix-patches@HIDDEN>
Subject: Re: [bug#41010] Upgrade Oil to 0.8.pre4
Message-ID: <20200502191622.GB22384@HIDDEN>
References: <k3WMYYEx_MdUokPGxBg54cpM2QMuACaeKoRbRaxGox-XI3TW-PQx-WWVOY1H6gmv8oHs93NZ6VgMhQ-OkNZna-xcsSTB00xIICsrl1sX5Og=@protonmail.com>
 <h2J1HZL5TX-LD7iEonk5V7VW9SayB4-irRVMFeJgPnZUtokvrqPKg_5kyLqybb8UrlaW10p1-UOsek5Z8yV_qoZIPyOI4PBDQIZEFPH6--g=@protonmail.com>
 <87sggjfdef.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="J2SCkAp4GZ/dPZZf"
Content-Disposition: inline
In-Reply-To: <87sggjfdef.fsf@nckx>
Received-SPF: pass client-ip=66.111.4.27; envelope-from=leo@HIDDEN;
 helo=out3-smtp.messagingengine.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/05/02 15:15:16
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Received-From: 66.111.4.27
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: rprior@HIDDEN, 41010 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


--J2SCkAp4GZ/dPZZf
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sat, May 02, 2020 at 01:23:30AM +0200, Tobias Geerinckx-Rice via Guix-pa=
tches via wrote:
> I agree with the name change, although I'm unaware of why =E2=80=98oil-sh=
ell=E2=80=99 was
> originally chosen.

No serious reason. I thought it was close the upstream name (it's the
GitHub organization name) and that 'oil' was a bit short for something
so obscure. Feel free to change it to 'oil' though.

--J2SCkAp4GZ/dPZZf
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAl6txwIACgkQJkb6MLrK
fwhVkQ//TVfi2tSsdqDokrm37vREH9dlHwXQuKA4OSApQM9kp4bIEoyVAIYV8Vs6
+Aiif8L/p0LKlkJb9Yx90BLVxE2TgRGSsUI+hJUIF6ODNWe9eAynQ353pQqO2Vx9
M45boKO/7Z9Nt7VP7uX4hPi8AUv79grJjpbhF5STPY6XTSF1GvmVGCEIZbjTNRHY
a7ryxNK5V5v+UBvQE6m42qICPVs9c0GvO3v872LeX6Z5SVK7TNnSkzG7+vLtgHT6
AqebR7/Id2lJLRVObIMIJfOBS/hxrlaT2EZUDW6CXFmSqkzesVHsoWuMiF0R1w6r
+OOMMNublHLSfW44imm7RaOv3edU0fBQqI2iLeeO5M01SAFPhu82LmpjHOTxh/dr
Y6jCrJZjs8ZscQvvibOszwFePLgASv1vQJgj/aoc+JeCH+3ifn+IPAZlsp+02PHt
HUgoLKFRolI3tFmZKSynY7Q6LsCP8adr2ZL24e6G+MmKq8KMFs5vloOuWg3yDdU/
Mpg6mBGjX3EbMyc6fjEs5lUMal7T0b/+Xemn0X1IPJbQOX33ohp899tCSD5xJoLj
cb884RBBgkIIf/iZ4rNO16wl+qmxZZ/hNQdnk1PShkxBqyW1pXWP24USOqENpvVV
9+XIX9MBr8hF7aOSkXv6fSWdlX4noyi93y/9ecM9z9LQgPX3qPc=
=3Vb9
-----END PGP SIGNATURE-----

--J2SCkAp4GZ/dPZZf--




Information forwarded to guix-patches@HIDDEN:
bug#41010; Package guix-patches. Full text available.

Message received at 41010 <at> debbugs.gnu.org:


Received: (at 41010) by debbugs.gnu.org; 2 May 2020 04:02:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 02 00:02:46 2020
Received: from localhost ([127.0.0.1]:51053 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jUjMO-0000oa-L5
	for submit <at> debbugs.gnu.org; Sat, 02 May 2020 00:02:46 -0400
Received: from mail-40134.protonmail.ch ([185.70.40.134]:43928)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rprior@HIDDEN>) id 1jUjMJ-0000oE-4l
 for 41010 <at> debbugs.gnu.org; Sat, 02 May 2020 00:02:39 -0400
Date: Sat, 02 May 2020 04:02:22 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1588392148;
 bh=HRLX6Zukb+Nsww1IDAvAdCltdAUMMk0G68sJpVfgD7s=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=CwwALj6XWophKs3gr99nYyAw7ueCaFNYprHmDEHUv/YwRIvxxyATMBFZ8sJCephQk
 kfOylfiWYwt/DxKo2llVS0RMVIcaMzY7ciYxQEGAeC6BDEEvuky+G7//ZbenPYaY8X
 Iau3ieoBTUsnOlS5e3yp2vPR5jw8FHv30gfqLF4I=
To: Tobias Geerinckx-Rice <me@HIDDEN>
From: Ryan Prior <rprior@HIDDEN>
Subject: Re: [bug#41010] Upgrade Oil to 0.8.pre4
Message-ID: <7j_T0Kf3tHwi7uYPSXZUYLjdVXe_LWrzbgE6XY7mdt-HZsxZQhTuCs8-H4kISkUui_q7IL1BrSnkCIksY62JtGWP-_gXsDC3MBnfusZzcOA=@protonmail.com>
In-Reply-To: <87sggjfdef.fsf@nckx>
References: <k3WMYYEx_MdUokPGxBg54cpM2QMuACaeKoRbRaxGox-XI3TW-PQx-WWVOY1H6gmv8oHs93NZ6VgMhQ-OkNZna-xcsSTB00xIICsrl1sX5Og=@protonmail.com>
 <h2J1HZL5TX-LD7iEonk5V7VW9SayB4-irRVMFeJgPnZUtokvrqPKg_5kyLqybb8UrlaW10p1-UOsek5Z8yV_qoZIPyOI4PBDQIZEFPH6--g=@protonmail.com>
 <87sggjfdef.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="b1_25406e8c1123ef1a71b89fbb4fd6c8ab"
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41010
Cc: "41010\\@debbugs.gnu.org" <41010 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Ryan Prior <rprior@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.

--b1_25406e8c1123ef1a71b89fbb4fd6c8ab
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Tobias, thank you for the quick and thorough review! I've attached updated =
patches.

A little context on how this patch came to be might make some of my choices=
 a little less mysterious: I didn't actually start with the original packag=
e definition, because I didn't realize oil was already packaged in Guix. (I=
 searched for "osh", not "oil-shell")

So I wrote my own package, went to find where to put it in the guix source =
tree, found the existing package, and then kinda merged them together.



On Friday, May 1, 2020 11:23 PM, Tobias Geerinckx-Rice <me@HIDDEN> wrote=
:

> However, please do build and test patches before submitting them.

Done! I test my packages mostly by running `guix build -f mypackage.scm` so=
 I had to figure out how to build it in the context of the source tree.

> Add a full stop after commit summaries, and a =E2=80=98change log=
=E2=80=99 entry as commit body:

Added.

> OTOH a one-line link to that thread, if one exists, would be preferable.

Changed to a one-line link.

> Where do they recommend this? It's nice to have a link in case the recomm=
endation changes.

Added a link to the recommendation.


> =E2=80=A6as =E2=80=98guix gc --references oil=E2=80=99 (and readline's ge=
neral nature) tell us, that's not the case here: Oil links to it at run tim=
e, so it must not be native.

I changed it to a normal input.

> Both the original synopsis and description are much better. If certain th=
ings are no longer accurate they can be adjusted but this is just upstream'=
s marketing pitch.

I did ask upstream what they'd want as a synopsis/description. I updated it=
 to be more similar to the original but edited for accuracy.

>
> > -   (license (list license:psfl ; Tarball vendors python2.7
>
> Hmm, this doesn't parse as English (it's missing a verb). I'd guess typo=
=E2=80=A6 but for what? Are upstream the =E2=80=98tarball vendors=E2=80=
=99 here? What was wrong with the original comment?

In some software development circles, we do use "vendor" as a verb. Sorry f=
or the confusion!

>vendor (third-person singular simple present vendors, present participle v=
endoring, simple past and past participle vendored)
>
>    (transitive, software development) To bundle third-party dependencies =
with the source code for one's own program.
>
>        I distributed my application with a vendored copy of Perl so that =
it wouldn't use the system copies of Perl where it is installed.
https://en.wiktionary.org/wiki/vendor

In favor of readability I changed the verb to "includes."

> Phew. =E2=80=98I'll just review this trivial bump before bed-time.=
=E2=80=99 This patch changes lots of things for one small package. I hope y=
ou don't mind lots of comments :-)

Thank you again, I appreciated all the comments!

Sincerely,
Ryan

--b1_25406e8c1123ef1a71b89fbb4fd6c8ab
Content-Type: text/x-patch; name="0001-gnu-oil-Update-to-0.8.pre4.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-gnu-oil-Update-to-0.8.pre4.patch
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--b1_25406e8c1123ef1a71b89fbb4fd6c8ab
Content-Type: text/x-patch; name="0001-gnu-oil-shell-Rename-to-oil-and-add-a-deprecated-ali.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-gnu-oil-shell-Rename-to-oil-and-add-a-deprecated-ali.patch

RnJvbSBjYjcyZGQzNzA1ZWI1MWZhMGE1YTAyODQ0M2IwMWFmOTVhZmY5Y2ExIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBSeWFuIFByaW9yIDxycHJpb3JAcHJvdG9ubWFpbC5jb20+CkRh
dGU6IEZyaSwgMSBNYXkgMjAyMCAxNDo0NzoyMCAtMDUwMApTdWJqZWN0OiBbUEFUQ0hdIGdudTog
b2lsLXNoZWxsOiBSZW5hbWUgdG8gIm9pbCIgYW5kIGFkZCBhIGRlcHJlY2F0ZWQgYWxpYXMKCi0t
LQogZ251L3BhY2thZ2VzL3NoZWxscy5zY20gfCA3ICsrKysrLS0KIDEgZmlsZSBjaGFuZ2VkLCA1
IGluc2VydGlvbnMoKyksIDIgZGVsZXRpb25zKC0pCgpkaWZmIC0tZ2l0IGEvZ251L3BhY2thZ2Vz
L3NoZWxscy5zY20gYi9nbnUvcGFja2FnZXMvc2hlbGxzLnNjbQppbmRleCBjNzFlNjM5OWVhLi4x
MGYwZWM4MTdjIDEwMDY0NAotLS0gYS9nbnUvcGFja2FnZXMvc2hlbGxzLnNjbQorKysgYi9nbnUv
cGFja2FnZXMvc2hlbGxzLnNjbQpAQCAtNzQ4LDkgKzc0OCw5IEBAIFNoZWxsIChwZGtzaCkuIikK
ICAgICAobGljZW5zZSAobGlzdCBtaXJvcwogICAgICAgICAgICAgICAgICAgIGlzYykpKSkgICAg
ICAgICAgICAgIDsgc3RybGNweS5jCiAKLShkZWZpbmUtcHVibGljIG9pbC1zaGVsbAorKGRlZmlu
ZS1wdWJsaWMgb2lsCiAgIChwYWNrYWdlCi0gICAgKG5hbWUgIm9pbC1zaGVsbCIpCisgICAgKG5h
bWUgIm9pbCIpCiAgICAgKHZlcnNpb24gIjAuNy4wIikKICAgICAoc291cmNlIChvcmlnaW4KICAg
ICAgICAgICAgICAgKG1ldGhvZCB1cmwtZmV0Y2gpCkBAIC03OTQsNiArNzk0LDkgQEAgaXMgY29t
bW9ubHkgd3JpdHRlbi4iKQogICAgIChsaWNlbnNlIChsaXN0IHBzZmwgOyBUaGUgT2lsIHNvdXJj
ZXMgaW5jbHVkZSBhIHBhdGNoZWQgUHl0aG9uIDIgc291cmNlIHRyZWUKICAgICAgICAgICAgICAg
ICAgICBhc2wyLjApKSkpCiAKKyhkZWZpbmUtcHVibGljIG9pbC1zaGVsbAorICAoZGVwcmVjYXRl
ZC1wYWNrYWdlICJvaWwtc2hlbGwiIG9pbCkpCisKIChkZWZpbmUtcHVibGljIGdhc2gKICAgKHBh
Y2thZ2UKICAgICAobmFtZSAiZ2FzaCIpCi0tIAoyLjE3LjEKCg==


--b1_25406e8c1123ef1a71b89fbb4fd6c8ab--





Information forwarded to guix-patches@HIDDEN:
bug#41010; Package guix-patches. Full text available.

Message received at 41010 <at> debbugs.gnu.org:


Received: (at 41010) by debbugs.gnu.org; 1 May 2020 23:33:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 01 19:33:48 2020
Received: from localhost ([127.0.0.1]:50929 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jUfAC-0002RH-Np
	for submit <at> debbugs.gnu.org; Fri, 01 May 2020 19:33:48 -0400
Received: from tobias.gr ([80.241.217.52]:43684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1jUfAB-0002RA-Rm
 for 41010 <at> debbugs.gnu.org; Fri, 01 May 2020 19:33:48 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 47de4f2d;
 Fri, 1 May 2020 23:33:46 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=YtJb1WTO15h/3aJCAPBr48
 tl+NlTX1uoGAQsk5QLJjI=; b=o2DLCfqgLKu+kMtKBZol/+RpdYg/j3ZzvnCwIt
 TPEoSAvwRsqJKxO5ktRhDvdP2sbwEEsa9i79bqu4uVS4Q69bMjp9Gaynpr1sI1wM
 J+qjKjaGHMk7eNlUSBFAK2x9peiSp1CE6DosULMBQoQ9ZAgPc+pdASIPzyo1ORnC
 hb8cuixUl7JVIIMBzNDDqVP2H6XeZak57jZlSY3Q/5TheVCG5ctl1QlKIae1mmiO
 pVlHat1w0XNTUbz4G6O4RHVrItdM8SrSxDPSir4KCHBA6ZFQvIqthSzjEoDCiuxk
 lOpC+X0eqGn2s7qixbrDAQRjXA4oUwqGRxEZXWWp/5VTaDog==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 2af92af3
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Fri, 1 May 2020 23:33:46 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Tobias Geerinckx-Rice via Guix-patches <guix-patches@HIDDEN>
Subject: Re: [bug#41010] Upgrade Oil to 0.8.pre4
References: <k3WMYYEx_MdUokPGxBg54cpM2QMuACaeKoRbRaxGox-XI3TW-PQx-WWVOY1H6gmv8oHs93NZ6VgMhQ-OkNZna-xcsSTB00xIICsrl1sX5Og=@protonmail.com>
 <h2J1HZL5TX-LD7iEonk5V7VW9SayB4-irRVMFeJgPnZUtokvrqPKg_5kyLqybb8UrlaW10p1-UOsek5Z8yV_qoZIPyOI4PBDQIZEFPH6--g=@protonmail.com>
 <87sggjfdef.fsf@nckx>
In-reply-to: <87sggjfdef.fsf@nckx>
Date: Sat, 02 May 2020 01:33:58 +0200
Message-ID: <87mu6rfcwp.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41010
Cc: rprior@HIDDEN, 41010 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

of lines out of order

This bizarre formatting:

is not something I did.

Emacs tried to warn me about some weird encoding issues (which=20
were in turn related to the original patch encoding, e.g. =C2=A9 and =E2=80=
=A6)=20
and I ignored it at my peril.  The patch applied just fine.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXqyx5gAKCRANsP+IT1Vt
eRiXAQDmIsgGwdQT2sntMlhLirXL+DwXgT1VzFzQmAJz4BPEewEA2nF1OsE1T5Pk
hM/4rao54xUpM0hDbijRelzlhW4BigI=
=E6AI
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#41010; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 May 2020 23:33:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 01 19:33:54 2020
Received: from localhost ([127.0.0.1]:50933 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jUfAH-0002Rc-Vs
	for submit <at> debbugs.gnu.org; Fri, 01 May 2020 19:33:54 -0400
Received: from lists.gnu.org ([209.51.188.17]:49514)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1jUfAD-0002RQ-T3
 for submit <at> debbugs.gnu.org; Fri, 01 May 2020 19:33:53 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59602)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1jUfAD-0008Fq-E9
 for guix-patches@HIDDEN; Fri, 01 May 2020 19:33:49 -0400
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.1 required=5.0 tests=BAYES_00,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,SPF_HELO_PASS,SPF_PASS,
 URIBL_BLOCKED autolearn=unavailable autolearn_force=no version=3.4.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.90_1)
 (envelope-from <me@HIDDEN>) id 1jUfAC-0007NT-W3
 for guix-patches@HIDDEN; Fri, 01 May 2020 19:33:49 -0400
Received: from tobias.gr ([2a02:c205:2020:6054::1]:48810)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1jUfAC-0007H9-C1
 for guix-patches@HIDDEN; Fri, 01 May 2020 19:33:48 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 47de4f2d;
 Fri, 1 May 2020 23:33:46 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=YtJb1WTO15h/3aJCAPBr48
 tl+NlTX1uoGAQsk5QLJjI=; b=o2DLCfqgLKu+kMtKBZol/+RpdYg/j3ZzvnCwIt
 TPEoSAvwRsqJKxO5ktRhDvdP2sbwEEsa9i79bqu4uVS4Q69bMjp9Gaynpr1sI1wM
 J+qjKjaGHMk7eNlUSBFAK2x9peiSp1CE6DosULMBQoQ9ZAgPc+pdASIPzyo1ORnC
 hb8cuixUl7JVIIMBzNDDqVP2H6XeZak57jZlSY3Q/5TheVCG5ctl1QlKIae1mmiO
 pVlHat1w0XNTUbz4G6O4RHVrItdM8SrSxDPSir4KCHBA6ZFQvIqthSzjEoDCiuxk
 lOpC+X0eqGn2s7qixbrDAQRjXA4oUwqGRxEZXWWp/5VTaDog==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 2af92af3
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Fri, 1 May 2020 23:33:46 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Tobias Geerinckx-Rice via Guix-patches <guix-patches@HIDDEN>
Subject: Re: [bug#41010] Upgrade Oil to 0.8.pre4
References: <k3WMYYEx_MdUokPGxBg54cpM2QMuACaeKoRbRaxGox-XI3TW-PQx-WWVOY1H6gmv8oHs93NZ6VgMhQ-OkNZna-xcsSTB00xIICsrl1sX5Og=@protonmail.com>
 <h2J1HZL5TX-LD7iEonk5V7VW9SayB4-irRVMFeJgPnZUtokvrqPKg_5kyLqybb8UrlaW10p1-UOsek5Z8yV_qoZIPyOI4PBDQIZEFPH6--g=@protonmail.com>
 <87sggjfdef.fsf@nckx>
In-reply-to: <87sggjfdef.fsf@nckx>
Date: Sat, 02 May 2020 01:33:58 +0200
Message-ID: <87mu6rfcwp.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-detected-operating-system: by eggs.gnu.org: Error: [-] PROGRAM ABORT :
 Malformed IPv6 address (bad octet value).
 Location : parse_addr6(), p0f-client.c:67
X-Received-From: 2a02:c205:2020:6054::1
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: rprior@HIDDEN, 41010 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

of lines out of order

This bizarre formatting:

is not something I did.

Emacs tried to warn me about some weird encoding issues (which=20
were in turn related to the original patch encoding, e.g. =C2=A9 and =E2=80=
=A6)=20
and I ignored it at my peril.  The patch applied just fine.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXqyx5gAKCRANsP+IT1Vt
eRiXAQDmIsgGwdQT2sntMlhLirXL+DwXgT1VzFzQmAJz4BPEewEA2nF1OsE1T5Pk
hM/4rao54xUpM0hDbijRelzlhW4BigI=
=E6AI
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#41010; Package guix-patches. Full text available.

Message received at 41010 <at> debbugs.gnu.org:


Received: (at 41010) by debbugs.gnu.org; 1 May 2020 23:23:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 01 19:23:23 2020
Received: from localhost ([127.0.0.1]:50908 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jUf07-0002Ap-2o
	for submit <at> debbugs.gnu.org; Fri, 01 May 2020 19:23:23 -0400
Received: from tobias.gr ([80.241.217.52]:43468)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1jUf05-0002Ah-MK
 for 41010 <at> debbugs.gnu.org; Fri, 01 May 2020 19:23:22 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 8a6ea989;
 Fri, 1 May 2020 23:23:19 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:message-id:references:in-reply-to:date:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=JibaDBoU/2wsCBxlJHpVqG
 sztk9p2ugGOTRDxFDPK20=; b=Qe7bxb0bexnQ0KGmWxrS77DOuut3frKrUAqqJ+
 ZLYylz19P3p8SLWH4YOeBCyRKE8HTYeRnWArXW9VLSSRHg0Pv/d/F9L7a146J18s
 dJVXqz3Twa8hUs9HHDdnSbiHF7xhrC84J8vLGstHR3RUFuZdJVjru8Fujk3s7Ku+
 UQWIshzqm0rNi4acA1JcknLEvuwOfM7H+MGEcbPGm3sW/lRmPQMFOJ9p/3zxDyTq
 +adLqJduBTMgE9R0APSIRMiiUVXtQXkFg0+qleWmrBpnORkeiW5hE2avGIqDUgej
 rqhHwVCG5KItt24pPB3gDSSR26q+l8g6YK/iOCnU7S0gvTrA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 77c779b5
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Fri, 1 May 2020 23:23:19 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Ryan Prior <rprior@HIDDEN>,
 Ryan Prior via Guix-patches <guix-patches@HIDDEN>
Subject: Re: [bug#41010] Upgrade Oil to 0.8.pre4
Message-ID: <87sggjfdef.fsf@nckx>
References: <k3WMYYEx_MdUokPGxBg54cpM2QMuACaeKoRbRaxGox-XI3TW-PQx-WWVOY1H6gmv8oHs93NZ6VgMhQ-OkNZna-xcsSTB00xIICsrl1sX5Og=@protonmail.com>
 <h2J1HZL5TX-LD7iEonk5V7VW9SayB4-irRVMFeJgPnZUtokvrqPKg_5kyLqybb8UrlaW10p1-UOsek5Z8yV_qoZIPyOI4PBDQIZEFPH6--g=@protonmail.com>
In-reply-to: <h2J1HZL5TX-LD7iEonk5V7VW9SayB4-irRVMFeJgPnZUtokvrqPKg_5kyLqybb8UrlaW10p1-UOsek5Z8yV_qoZIPyOI4PBDQIZEFPH6--g=@protonmail.com>
Instead: 
Date: Sat, 02 May 2020 01:23:30 +0200
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41010
Cc: "41010 <at> debbugs.gnu.org" <41010 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Ryan,

> This patch upgrades the oil package. As noted in the package=20
> description, upstream considers this to be a stable release &=20
> the best available version of oil despite the "pre" tag.

Thanks!

I agree with the name change, although I'm unaware of why=20
=E2=80=98oil-shell=E2=80=99 was originally chosen.

However, please do build and test patches before submitting them.=20
These were broken in 2 places: adding the unused =E2=80=98license:=E2=80=99=
 prefix=20
breaks evaluation, as does referring to a variable (=E2=80=98oil=E2=80=99 i=
n=20
deprecated-package) before it's defined.

> Subject: [PATCH] gnu: oil: Update to 0.8.pre4

Add a full stop after commit summaries, and a =E2=80=98change log=E2=80=99 =
entry=20
as commit body:

* gnu/packages/shells.scm (oil): Update to 0.8.pre4.

> +    (version "0.8.pre4") ; "Despite the pre4 version qualifier,=20
> this is by far
> +                         ; the best Oil release ever=E2=80=A6 I may=20
> change the version
> +                         ; numbering scheme in the near future=20
> to reflect this."
> +                         ; - upstream on whether to ship pre4=20
> in Guix

  ;; "Despite the pre4 version qualifier, this is by far
  ;; the best Oil release ever=E2=80=A6 I may change the version
  ;; numbering scheme in the near future to reflect this."
  ;; - upstream on whether to ship pre4 in Guix
  (version "0.8.pre4")

Format long and/or multi-line comments like so:

OTOH a one-line link to that thread, if one exists, would be=20
preferable.

> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri (string-append=20
> "https://www.oilshell.org/download/oil-"
> +                           version ".tar.gz"))
> +       (sha256
> +        (base32
> +=20
> "0m2p8p5hi2r14xx9pphsa0ar56kqsa33gr2w2blc3jx07aqhjpzy"))))

If you're going to re-indent like this, the hash fits beside=20
(base32 =E2=80=A6.

> -       #:strip-binaries? #f ; the binaries cannot be stripped
> +     `(#:strip-binaries? #f ; Strip breaks the binary.

I like your comment better but the original formatting (lowercase,=20
no full stop) was fine.

> +             (setenv "CC" "gcc")
>               (let ((out (assoc-ref outputs "out")))
> -               (setenv "CC" "gcc")

   (let ((out (assoc-ref outputs "out")))
     (do-something "foo")
     (do-something out))

It's canonical style in Guix (not sure about wider Schemeland) to=20
=E2=80=98bind early=E2=80=99:

   (do-something "foo")
   (let ((out (assoc-ref outputs "out")))
     (do-something out))

While you'll find a fair share of

it's much less common, possibly frowned upon, and idly rearranging=20
existing code is right out.

> +             (substitute* "configure"
> +               ((" cc ") " gcc "))

  (substitute* "configure"
    ((" cc ") " $CC "))

> +               (invoke
> +                "./configure"

More line nitpicking: keep these on one line & indent the other=20
arguments accordingly.

> +         (replace 'check ; The tests are not distributed in the=20
> tarballs but
> +                         ; upstream recommends running this=20
> smoke test.

Same as above:

  (replace 'check
    ;; The tests are not distributed in the tarballs but upstream
    ;; recommends running this smoke test.
    =E2=80=A6

Where do they recommend this?  It's nice to have a link in case=20
the recommendation changes.

> +    (native-inputs

Nak.  =E2=80=98Native=E2=80=99 means =E2=80=98when cross compiling, don't b=
other building=20
this for the target architecture, it will only ever run on the=20
host=E2=80=99=E2=80=A6

>      `(("readline" ,readline)))

=E2=80=A6as =E2=80=98guix gc --references oil=E2=80=99 (and readline's gene=
ral nature)=20
tell us, that's not the case here: Oil links to it at run time, so=20
it must not be native.

> -    (synopsis "Bash-compatible Unix shell")
> -    (description "Oil is a Unix / POSIX shell, compatible with=20
> Bash.  It
> -implements the Oil language, which is a new shell language to=20
> which Bash can be
> -automatically translated.  The Oil language is a superset of=20
> Bash.  It also
> -implements the OSH language, a statically-parseable language=20
> based on Bash as it
> -is commonly written.")

[=E2=80=A6]

> +    (synopsis "A Unix shell")
> +    (description "Oil is a Unix shell and programming=20
> language. It's our upgrade
> +path from Bash.")

Both the original synopsis and description are much better.  If=20
certain things are no longer accurate they can be adjusted but=20
this is just upstream's marketing pitch.

> +    (license (list license:psfl ; Tarball vendors python2.7

Hmm, this doesn't parse as English (it's missing a verb).  I'd=20
guess typo=E2=80=A6  but for what?  Are upstream the =E2=80=98tarball vendo=
rs=E2=80=99=20
here?  What was wrong with the original comment?

If upstream still bundles Python (and it would seem so), that's=20
important information that shouldn't be removed.

Phew.  =E2=80=98I'll just review this trivial bump before bed-time.=E2=80=
=99  This=20
patch changes lots of things for one small package.  I hope you=20
don't mind lots of comments :-)

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXqyvcwAKCRANsP+IT1Vt
eYFGAP9ZAvffgA9WEx8i+0O3uyD0nhUkDvJh8DJVOS9dfOXOXAEAwP0TqycO+xVi
RnvfMAzoag62FoCLM+CuLTXUUptMoAk=
=JQ1t
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#41010; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 May 2020 23:23:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 01 19:23:38 2020
Received: from localhost ([127.0.0.1]:50912 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jUf0C-0002B8-FM
	for submit <at> debbugs.gnu.org; Fri, 01 May 2020 19:23:37 -0400
Received: from lists.gnu.org ([209.51.188.17]:40124)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1jUf0A-0002B1-Uc
 for submit <at> debbugs.gnu.org; Fri, 01 May 2020 19:23:27 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55676)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1jUf0A-0001CG-8T
 for guix-patches@HIDDEN; Fri, 01 May 2020 19:23:26 -0400
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.1 required=5.0 tests=BAYES_00,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,SPF_HELO_PASS,SPF_PASS,
 URIBL_BLOCKED autolearn=unavailable autolearn_force=no version=3.4.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.90_1)
 (envelope-from <me@HIDDEN>) id 1jUf09-000225-9o
 for guix-patches@HIDDEN; Fri, 01 May 2020 19:23:25 -0400
Received: from tobias.gr ([2a02:c205:2020:6054::1]:48594)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1jUf08-0001oh-I3
 for guix-patches@HIDDEN; Fri, 01 May 2020 19:23:24 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 8a6ea989;
 Fri, 1 May 2020 23:23:19 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:message-id:references:in-reply-to:date:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=JibaDBoU/2wsCBxlJHpVqG
 sztk9p2ugGOTRDxFDPK20=; b=Qe7bxb0bexnQ0KGmWxrS77DOuut3frKrUAqqJ+
 ZLYylz19P3p8SLWH4YOeBCyRKE8HTYeRnWArXW9VLSSRHg0Pv/d/F9L7a146J18s
 dJVXqz3Twa8hUs9HHDdnSbiHF7xhrC84J8vLGstHR3RUFuZdJVjru8Fujk3s7Ku+
 UQWIshzqm0rNi4acA1JcknLEvuwOfM7H+MGEcbPGm3sW/lRmPQMFOJ9p/3zxDyTq
 +adLqJduBTMgE9R0APSIRMiiUVXtQXkFg0+qleWmrBpnORkeiW5hE2avGIqDUgej
 rqhHwVCG5KItt24pPB3gDSSR26q+l8g6YK/iOCnU7S0gvTrA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 77c779b5
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Fri, 1 May 2020 23:23:19 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Ryan Prior <rprior@HIDDEN>,
 Ryan Prior via Guix-patches <guix-patches@HIDDEN>
Subject: Re: [bug#41010] Upgrade Oil to 0.8.pre4
Message-ID: <87sggjfdef.fsf@nckx>
References: <k3WMYYEx_MdUokPGxBg54cpM2QMuACaeKoRbRaxGox-XI3TW-PQx-WWVOY1H6gmv8oHs93NZ6VgMhQ-OkNZna-xcsSTB00xIICsrl1sX5Og=@protonmail.com>
 <h2J1HZL5TX-LD7iEonk5V7VW9SayB4-irRVMFeJgPnZUtokvrqPKg_5kyLqybb8UrlaW10p1-UOsek5Z8yV_qoZIPyOI4PBDQIZEFPH6--g=@protonmail.com>
In-reply-to: <h2J1HZL5TX-LD7iEonk5V7VW9SayB4-irRVMFeJgPnZUtokvrqPKg_5kyLqybb8UrlaW10p1-UOsek5Z8yV_qoZIPyOI4PBDQIZEFPH6--g=@protonmail.com>
Instead: 
Date: Sat, 02 May 2020 01:23:30 +0200
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-detected-operating-system: by eggs.gnu.org: Error: [-] PROGRAM ABORT :
 Malformed IPv6 address (bad octet value).
 Location : parse_addr6(), p0f-client.c:67
X-Received-From: 2a02:c205:2020:6054::1
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: "41010 <at> debbugs.gnu.org" <41010 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Ryan,

> This patch upgrades the oil package. As noted in the package=20
> description, upstream considers this to be a stable release &=20
> the best available version of oil despite the "pre" tag.

Thanks!

I agree with the name change, although I'm unaware of why=20
=E2=80=98oil-shell=E2=80=99 was originally chosen.

However, please do build and test patches before submitting them.=20
These were broken in 2 places: adding the unused =E2=80=98license:=E2=80=99=
 prefix=20
breaks evaluation, as does referring to a variable (=E2=80=98oil=E2=80=99 i=
n=20
deprecated-package) before it's defined.

> Subject: [PATCH] gnu: oil: Update to 0.8.pre4

Add a full stop after commit summaries, and a =E2=80=98change log=E2=80=99 =
entry=20
as commit body:

* gnu/packages/shells.scm (oil): Update to 0.8.pre4.

> +    (version "0.8.pre4") ; "Despite the pre4 version qualifier,=20
> this is by far
> +                         ; the best Oil release ever=E2=80=A6 I may=20
> change the version
> +                         ; numbering scheme in the near future=20
> to reflect this."
> +                         ; - upstream on whether to ship pre4=20
> in Guix

  ;; "Despite the pre4 version qualifier, this is by far
  ;; the best Oil release ever=E2=80=A6 I may change the version
  ;; numbering scheme in the near future to reflect this."
  ;; - upstream on whether to ship pre4 in Guix
  (version "0.8.pre4")

Format long and/or multi-line comments like so:

OTOH a one-line link to that thread, if one exists, would be=20
preferable.

> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri (string-append=20
> "https://www.oilshell.org/download/oil-"
> +                           version ".tar.gz"))
> +       (sha256
> +        (base32
> +=20
> "0m2p8p5hi2r14xx9pphsa0ar56kqsa33gr2w2blc3jx07aqhjpzy"))))

If you're going to re-indent like this, the hash fits beside=20
(base32 =E2=80=A6.

> -       #:strip-binaries? #f ; the binaries cannot be stripped
> +     `(#:strip-binaries? #f ; Strip breaks the binary.

I like your comment better but the original formatting (lowercase,=20
no full stop) was fine.

> +             (setenv "CC" "gcc")
>               (let ((out (assoc-ref outputs "out")))
> -               (setenv "CC" "gcc")

   (let ((out (assoc-ref outputs "out")))
     (do-something "foo")
     (do-something out))

It's canonical style in Guix (not sure about wider Schemeland) to=20
=E2=80=98bind early=E2=80=99:

   (do-something "foo")
   (let ((out (assoc-ref outputs "out")))
     (do-something out))

While you'll find a fair share of

it's much less common, possibly frowned upon, and idly rearranging=20
existing code is right out.

> +             (substitute* "configure"
> +               ((" cc ") " gcc "))

  (substitute* "configure"
    ((" cc ") " $CC "))

> +               (invoke
> +                "./configure"

More line nitpicking: keep these on one line & indent the other=20
arguments accordingly.

> +         (replace 'check ; The tests are not distributed in the=20
> tarballs but
> +                         ; upstream recommends running this=20
> smoke test.

Same as above:

  (replace 'check
    ;; The tests are not distributed in the tarballs but upstream
    ;; recommends running this smoke test.
    =E2=80=A6

Where do they recommend this?  It's nice to have a link in case=20
the recommendation changes.

> +    (native-inputs

Nak.  =E2=80=98Native=E2=80=99 means =E2=80=98when cross compiling, don't b=
other building=20
this for the target architecture, it will only ever run on the=20
host=E2=80=99=E2=80=A6

>      `(("readline" ,readline)))

=E2=80=A6as =E2=80=98guix gc --references oil=E2=80=99 (and readline's gene=
ral nature)=20
tell us, that's not the case here: Oil links to it at run time, so=20
it must not be native.

> -    (synopsis "Bash-compatible Unix shell")
> -    (description "Oil is a Unix / POSIX shell, compatible with=20
> Bash.  It
> -implements the Oil language, which is a new shell language to=20
> which Bash can be
> -automatically translated.  The Oil language is a superset of=20
> Bash.  It also
> -implements the OSH language, a statically-parseable language=20
> based on Bash as it
> -is commonly written.")

[=E2=80=A6]

> +    (synopsis "A Unix shell")
> +    (description "Oil is a Unix shell and programming=20
> language. It's our upgrade
> +path from Bash.")

Both the original synopsis and description are much better.  If=20
certain things are no longer accurate they can be adjusted but=20
this is just upstream's marketing pitch.

> +    (license (list license:psfl ; Tarball vendors python2.7

Hmm, this doesn't parse as English (it's missing a verb).  I'd=20
guess typo=E2=80=A6  but for what?  Are upstream the =E2=80=98tarball vendo=
rs=E2=80=99=20
here?  What was wrong with the original comment?

If upstream still bundles Python (and it would seem so), that's=20
important information that shouldn't be removed.

Phew.  =E2=80=98I'll just review this trivial bump before bed-time.=E2=80=
=99  This=20
patch changes lots of things for one small package.  I hope you=20
don't mind lots of comments :-)

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXqyvcwAKCRANsP+IT1Vt
eYFGAP9ZAvffgA9WEx8i+0O3uyD0nhUkDvJh8DJVOS9dfOXOXAEAwP0TqycO+xVi
RnvfMAzoag62FoCLM+CuLTXUUptMoAk=
=JQ1t
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#41010; Package guix-patches. Full text available.

Message received at 41010 <at> debbugs.gnu.org:


Received: (at 41010) by debbugs.gnu.org; 1 May 2020 21:59:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 01 17:59:37 2020
Received: from localhost ([127.0.0.1]:50830 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jUdh2-0008VU-TM
	for submit <at> debbugs.gnu.org; Fri, 01 May 2020 17:59:37 -0400
Received: from mail1.protonmail.ch ([185.70.40.18]:15514)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rprior@HIDDEN>) id 1jUcmo-0006y0-Kb
 for 41010 <at> debbugs.gnu.org; Fri, 01 May 2020 17:01:45 -0400
Date: Fri, 01 May 2020 21:01:22 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1588366883;
 bh=Ap8RzbOXq6jLaVC5HMZbxkR3mDqm7GjafZMY/oSbEQE=;
 h=Date:To:From:Reply-To:Subject:From;
 b=IX31d263FOZkcMfjhxPOZ2yNzJc8NU7R9kv6vr6SuczzLfyHYF/ZiA/5D/2PnlJTi
 DJ6Y9svRL+jl5LyWOBESW7PUC0U19mAN820M3wc7bJN1pjv7yofxwUHF2hXSUPRMeg
 1PEub5CCmqNfFi/nX8fer3SJPv478tM96HDadxLQ=
To: "41010 <at> debbugs.gnu.org" <41010 <at> debbugs.gnu.org>
From: Ryan Prior <rprior@HIDDEN>
Subject: Upgrade Oil to 0.8.pre4
Message-ID: <h2J1HZL5TX-LD7iEonk5V7VW9SayB4-irRVMFeJgPnZUtokvrqPKg_5kyLqybb8UrlaW10p1-UOsek5Z8yV_qoZIPyOI4PBDQIZEFPH6--g=@protonmail.com>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="b1_86a63b88ed0dcee6a8d8b6525c95f9de"
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,HTML_MESSAGE
 shortcircuit=no autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on mail.protonmail.ch
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: This patch upgrades the oil package. As noted in the package
 description,
 upstream considers this to be a stable release & the best available
 version of oil despite the "pre" tag. This patch upgrades the oil package.
 As noted in the package description, upstream considers this to be a stable
 release & the best available version of oil despite the "pre" tag. 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (rprior[at]protonmail.com)
 0.0 T_SPF_TEMPERROR        SPF: test of record failed (temperror)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.0 HTML_MESSAGE           BODY: HTML included in message
 2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: 41010
X-Mailman-Approved-At: Fri, 01 May 2020 17:59:35 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Ryan Prior <rprior@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.

--b1_86a63b88ed0dcee6a8d8b6525c95f9de
Content-Type: multipart/alternative;
	boundary="b2_86a63b88ed0dcee6a8d8b6525c95f9de"

--b2_86a63b88ed0dcee6a8d8b6525c95f9de
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: base64

VGhpcyBwYXRjaCB1cGdyYWRlcyB0aGUgb2lsIHBhY2thZ2UuIEFzIG5vdGVkIGluIHRoZSBwYWNr
YWdlIGRlc2NyaXB0aW9uLCB1cHN0cmVhbSBjb25zaWRlcnMgdGhpcyB0byBiZSBhIHN0YWJsZSBy
ZWxlYXNlICYgdGhlIGJlc3QgYXZhaWxhYmxlIHZlcnNpb24gb2Ygb2lsIGRlc3BpdGUgdGhlICJw
cmUiIHRhZy4=


--b2_86a63b88ed0dcee6a8d8b6525c95f9de
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: base64

PGRpdj5UaGlzIHBhdGNoIHVwZ3JhZGVzIHRoZSBvaWwgcGFja2FnZS4gQXMgbm90ZWQgaW4gdGhl
IHBhY2thZ2UgZGVzY3JpcHRpb24sIHVwc3RyZWFtIGNvbnNpZGVycyB0aGlzIHRvIGJlIGEgc3Rh
YmxlIHJlbGVhc2UgJmFtcDsgdGhlIGJlc3QgYXZhaWxhYmxlIHZlcnNpb24gb2Ygb2lsIGRlc3Bp
dGUgdGhlICJwcmUiIHRhZy48YnI+PC9kaXY+PGRpdiBjbGFzcz0icHJvdG9ubWFpbF9zaWduYXR1
cmVfYmxvY2sgcHJvdG9ubWFpbF9zaWduYXR1cmVfYmxvY2stZW1wdHkiPjxkaXYgY2xhc3M9InBy
b3Rvbm1haWxfc2lnbmF0dXJlX2Jsb2NrLXVzZXIgcHJvdG9ubWFpbF9zaWduYXR1cmVfYmxvY2st
ZW1wdHkiPjxicj48L2Rpdj48ZGl2IGNsYXNzPSJwcm90b25tYWlsX3NpZ25hdHVyZV9ibG9jay1w
cm90b24gcHJvdG9ubWFpbF9zaWduYXR1cmVfYmxvY2stZW1wdHkiPjxicj48L2Rpdj48L2Rpdj4=



--b2_86a63b88ed0dcee6a8d8b6525c95f9de--

--b1_86a63b88ed0dcee6a8d8b6525c95f9de
Content-Type: text/x-patch; name="0001-gnu-oil-Update-to-0.8.pre4.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-gnu-oil-Update-to-0.8.pre4.patch
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--b1_86a63b88ed0dcee6a8d8b6525c95f9de--





Information forwarded to guix-patches@HIDDEN:
bug#41010; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 May 2020 20:22:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 01 16:22:41 2020
Received: from localhost ([127.0.0.1]:50742 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jUcBE-0005s4-9n
	for submit <at> debbugs.gnu.org; Fri, 01 May 2020 16:22:40 -0400
Received: from lists.gnu.org ([209.51.188.17]:45484)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rprior@HIDDEN>) id 1jUbwd-0005T5-Rm
 for submit <at> debbugs.gnu.org; Fri, 01 May 2020 16:07:36 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46382)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rprior@HIDDEN>)
 id 1jUbwd-000644-En
 for guix-patches@HIDDEN; Fri, 01 May 2020 16:07:35 -0400
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.8 required=5.0 tests=BAYES_00,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,HTML_MESSAGE,
 RCVD_IN_DNSWL_LOW,SPF_HELO_PASS,SPF_PASS,URIBL_BLOCKED
 autolearn=unavailable autolearn_force=no version=3.4.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.90_1)
 (envelope-from <rprior@HIDDEN>) id 1jUbwc-0001hg-5y
 for guix-patches@HIDDEN; Fri, 01 May 2020 16:07:34 -0400
Received: from mail-40134.protonmail.ch ([185.70.40.134]:58702)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rprior@HIDDEN>)
 id 1jUbwb-0001Tg-C7
 for guix-patches@HIDDEN; Fri, 01 May 2020 16:07:33 -0400
Date: Fri, 01 May 2020 20:01:09 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1588363273;
 bh=5/7XIgsUVT3zaWLGTfEYqb/zZt0lptcJ4EEfTzu34M8=;
 h=Date:To:From:Reply-To:Subject:From;
 b=ofcAnOdAL4o4rdmD3y3Z2mocVhL0YfQGz8r8+VksnvojJi0zAjLlTo6BFE65dm4aH
 Up5HQ205CmauS/JVV8YOeGtVc1j3oZTABftE7x+PHeg7CIGK5QfAs/Z9bnPPzvvjzw
 wNgqMaxFrno6OA7VzzLzp14yNDB0f3fgU5LCWCz4=
To: "guix-patches@HIDDEN" <guix-patches@HIDDEN>
From: Ryan Prior <rprior@HIDDEN>
Subject: Rename & upgrade oil-shell
Message-ID: <k3WMYYEx_MdUokPGxBg54cpM2QMuACaeKoRbRaxGox-XI3TW-PQx-WWVOY1H6gmv8oHs93NZ6VgMhQ-OkNZna-xcsSTB00xIICsrl1sX5Og=@protonmail.com>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="b1_99e12538aa5fbd800db3b446b2f76c47"
Received-SPF: pass client-ip=185.70.40.134; envelope-from=rprior@HIDDEN;
 helo=mail-40134.protonmail.ch
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/05/01 16:07:29
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Received-From: 185.70.40.134
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 01 May 2020 16:22:38 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Ryan Prior <rprior@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is a multi-part message in MIME format.

--b1_99e12538aa5fbd800db3b446b2f76c47
Content-Type: multipart/alternative;
	boundary="b2_99e12538aa5fbd800db3b446b2f76c47"

--b2_99e12538aa5fbd800db3b446b2f76c47
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: base64

VGhpcyBwYXRjaCByZW5hbWVzIG9pbC1zaGVsbCB0byBvaWwsIGF0IHRoZSByZXF1ZXN0IG9mIHVw
c3RyZWFtIGF1dGhvcnMu


--b2_99e12538aa5fbd800db3b446b2f76c47
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: base64

PGRpdj5UaGlzIHBhdGNoIHJlbmFtZXMgb2lsLXNoZWxsIHRvIG9pbCwgYXQgdGhlIHJlcXVlc3Qg
b2YgdXBzdHJlYW0gYXV0aG9ycy48YnI+PC9kaXY+PGRpdiBjbGFzcz0icHJvdG9ubWFpbF9zaWdu
YXR1cmVfYmxvY2sgcHJvdG9ubWFpbF9zaWduYXR1cmVfYmxvY2stZW1wdHkiPjxkaXYgY2xhc3M9
InByb3Rvbm1haWxfc2lnbmF0dXJlX2Jsb2NrLXVzZXIgcHJvdG9ubWFpbF9zaWduYXR1cmVfYmxv
Y2stZW1wdHkiPjxicj48L2Rpdj48ZGl2IGNsYXNzPSJwcm90b25tYWlsX3NpZ25hdHVyZV9ibG9j
ay1wcm90b24gcHJvdG9ubWFpbF9zaWduYXR1cmVfYmxvY2stZW1wdHkiPjxicj48L2Rpdj48L2Rp
dj48ZGl2Pjxicj48L2Rpdj4=



--b2_99e12538aa5fbd800db3b446b2f76c47--

--b1_99e12538aa5fbd800db3b446b2f76c47
Content-Type: text/x-patch; name="0001-gnu-oil-shell-Rename-to-oil-and-add-a-deprecated-ali.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-gnu-oil-shell-Rename-to-oil-and-add-a-deprecated-ali.patch

RnJvbSAyNDZjNWYwM2YyZDM0YTJhNzhlMDk1YmRmYjBkZDgyZGU5MDVlYjBhIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBSeWFuIFByaW9yIDxycHJpb3JAcHJvdG9ubWFpbC5jb20+CkRh
dGU6IEZyaSwgMSBNYXkgMjAyMCAxNDo0NzoyMCAtMDUwMApTdWJqZWN0OiBbUEFUQ0hdIGdudTog
b2lsLXNoZWxsOiBSZW5hbWUgdG8gIm9pbCIgYW5kIGFkZCBhIGRlcHJlY2F0ZWQgYWxpYXMKCi0t
LQogZ251L3BhY2thZ2VzL3NoZWxscy5zY20gfCA1ICsrKystCiAxIGZpbGUgY2hhbmdlZCwgNCBp
bnNlcnRpb25zKCspLCAxIGRlbGV0aW9uKC0pCgpkaWZmIC0tZ2l0IGEvZ251L3BhY2thZ2VzL3No
ZWxscy5zY20gYi9nbnUvcGFja2FnZXMvc2hlbGxzLnNjbQppbmRleCBjNzFlNjM5OWVhLi4wOGE0
NzVkZmUxIDEwMDY0NAotLS0gYS9nbnUvcGFja2FnZXMvc2hlbGxzLnNjbQorKysgYi9nbnUvcGFj
a2FnZXMvc2hlbGxzLnNjbQpAQCAtNzQ5LDggKzc0OSwxMSBAQCBTaGVsbCAocGRrc2gpLiIpCiAg
ICAgICAgICAgICAgICAgICAgaXNjKSkpKSAgICAgICAgICAgICAgOyBzdHJsY3B5LmMKIAogKGRl
ZmluZS1wdWJsaWMgb2lsLXNoZWxsCisgIChkZXByZWNhdGVkLXBhY2thZ2UgIm9pbC1zaGVsbCIg
b2lsKSkKKworKGRlZmluZS1wdWJsaWMgb2lsCiAgIChwYWNrYWdlCi0gICAgKG5hbWUgIm9pbC1z
aGVsbCIpCisgICAgKG5hbWUgIm9pbCIpCiAgICAgKHZlcnNpb24gIjAuNy4wIikKICAgICAoc291
cmNlIChvcmlnaW4KICAgICAgICAgICAgICAgKG1ldGhvZCB1cmwtZmV0Y2gpCi0tIAoyLjE3LjEK
Cg==


--b1_99e12538aa5fbd800db3b446b2f76c47--





Acknowledgement sent to Ryan Prior <rprior@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#41010; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 16 May 2020 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.